LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
FilterDialog Service Reference

This interface could be incomplete since I derived it from its places of use. More...

`import"FilterDialog.idl";`

Inheritance diagram for FilterDialog:

## Public Member Functions
| createDefault ()
| createWithQuery ([in] com::sun::star::sdb::XSingleSelectQueryComposer QueryComposer, [in] com::sun::star::sdbc::XRowSet RowSet, [in] com::sun::star::awt::XWindow ParentWindow)
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog. More...
short | execute ()
| Executes (shows) the dialog. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface could be incomplete since I derived it from its places of use.

Since
  LibreOffice 4.1

## Member Function Documentation

## ◆ createDefault()

createDefault | ( |  | ) |

## ◆ createWithQuery()

createWithQuery | ( | [in] com::sun::star::sdb::XSingleSelectQueryComposer | QueryComposer,
|  | [in] com::sun::star::sdbc::XRowSet | RowSet,
|  | [in] com::sun::star::awt::XWindow | ParentWindow
| ) |  |

The documentation for this service was generated from the following file:

- com/sun/star/sdb/FilterDialog.idl